varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform highp float progress;
const mediump vec3 baseColor = vec3(0,0, 0);
void main() {
    vec4 tc = texture2D(sTexture, textureCoordinate);
    if(progress>0||progress<1){
        highp vec4 newColor =texture2D(inputImageTexture, textureCoordinate);
        gl_FragColor = vec4(baseColor*progress+ newColor.rgb *(1.0 - fMix) ,newColor.w);
    }else{
         gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
    }
}